CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::log::sink Class Referenceabstract

This is the abstract interface to general sink - the consumer of the logged messages. More...

`#include <booster/booster/log.h>`

Inheritance diagram for booster::log::sink:

## Public Member Functions
virtual void | log (message const &m)=0

## Detailed Description

This is the abstract interface to general sink - the consumer of the logged messages.

## Member Function Documentation

virtual void booster::log::sink::log | ( | message const & | m | ) |
| pure virtual

Send the message m to log

Note: it does not have to be thread safe - in terms that only one message is sent each time and it is promised that are not sent in parallel

Implemented in booster::log::sinks::file, booster::log::sinks::stream, and booster::log::sinks::standard_error.

The documentation for this class was generated from the following file:

- booster/log.h